Package ch.qos.logback.access.net

# Class URLEvaluator

java.lang.Object
ch.qos.logback.core.spi.ContextAwareBase
ch.qos.logback.access.net.URLEvaluator

All Implemented Interfaces:
  `EventEvaluator`, `ContextAware`, `LifeCycle`

public class URLEvaluator extends ContextAwareBase implements EventEvaluator, LifeCycle

## Field Summary

### Fields inherited from class ch.qos.logback.core.spi.ContextAwareBase

`context`

## Constructor Summary

Constructors
Constructor
Description
`URLEvaluator()`

## Method Summary

Modifier and Type
Method
Description
`void`
`addURL(String url)`
`boolean`
`evaluate(Object eventObject)`
Evaluates whether the event passed as parameter matches some user-specified criteria.
`String`
`getName()`
Evaluators are named entities.
`boolean`
`isStarted()`
`void`
`setName(String name)`
Evaluators are named entities.
`void`
`start()`
`void`
`stop()`

### Methods inherited from class ch.qos.logback.core.spi.ContextAwareBase

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, getDeclaredOrigin, getStatusManager, setContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface ch.qos.logback.core.spi.ContextAware

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, setContext`

## Constructor Details

### URLEvaluator

public URLEvaluator()

## Method Details

### addURL

public void addURL(String url)

### start

public void start()

Specified by:
  `start` in interface `LifeCycle`

### evaluate

public boolean evaluate(Object eventObject) throws NullPointerException, EvaluationException
Description copied from interface: `EventEvaluator`
Evaluates whether the event passed as parameter matches some user-specified criteria.

The `Evaluator` is free to evaluate the event as it pleases. In particular, the evaluation results may depend on previous events.

Specified by:
  `evaluate` in interface `EventEvaluator`
Parameters:
  `eventObject` - The event to evaluate
Returns:
  true if there is a match, false otherwise.
Throws:
  `NullPointerException` - can be thrown in presence of null values
  `EvaluationException` - may be thrown during faulty evaluation

### getName

public String getName()
Description copied from interface: `EventEvaluator`
Evaluators are named entities.

Specified by:
  `getName` in interface `EventEvaluator`
Returns:
  The name of this evaluator.

### setName

public void setName(String name)
Description copied from interface: `EventEvaluator`
Evaluators are named entities.

Specified by:
  `setName` in interface `EventEvaluator`

### isStarted

public boolean isStarted()

Specified by:
  `isStarted` in interface `LifeCycle`

### stop

public void stop()

Specified by:
  `stop` in interface `LifeCycle`